%define _name lock-keys-applet

Name: gnome-applets-extra-lock-keys
Version: 1.0
Release: alt1.1

Summary: Applet that shows the state of the keyboard LEDs
Summary (ru_RU.UTF-8): Индикатор режимов клавиатуры
License: GPL
Group: Graphical desktop/GNOME
Url: http://mfcn.ilo.de/led_applet/
Source0: %_name-%version.tar.gz
Source1: ru.po
Source2: docs.tar.gz
Patch1: configure.patch
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs esound-devel fontconfig freetype2 glib2-devel glibc-devel-static gnome-vfs2-devel libGConf2-devel libalsa-devel libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libexpat libglade2-devel libgnome-devel libgnome-panel-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libjpeg-devel libpango-devel libpopt-devel libssl-devel libxml2-devel libxslt pkgconfig rootfiles scrollkeeper zlib-devel

%description
This applet displays the status of your Capslock, Numlock and Scroll-lock keys

%description -l ru_RU.UTF-8
Индикатор режимов клавиатуры, показывающий состояние клавиш CapsLock, NumLock и Scrolllock.

%prep
%setup -q -n %_name-%version
# update translation
%patch1
%__cat %SOURCE1 > po/ru.po
%__tar xzf %SOURCE2

%build
%configure
%make_build

%install
%makeinstall
%find_lang %_name

%post
%update_scrollkeeper

%postun
%clean_scrollkeeper

%files -f %_name.lang
%doc AUTHORS COPYING README TODO
%_libdir/%_name
%_libdir/bonobo/servers/*
%_datadir/gnome/help/*
%_datadir/omf/*
%_datadir/pixmaps/*

%changelog
* Tue May 11 2004 ALT QA Team Robot <qa-robot@altlinux.org> 1.0-alt1.1
- Rebuilt with openssl-0.9.7d.

* Sun Oct 19 2003 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt1
- 1.0, changed name

* Sun Nov 17 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.3-alt2
- New build

* Mon Nov 04 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.3-alt1
- ALTLinux build, translation
